Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Interface SchemaGenerator

All Known Implementing Classes:
  DefaultSchemaGenerator, DocLitBareSchemaGenerator

    public interface SchemaGenerator

Method Summary
`java.util.Collection<org.apache.ws.commons.schema.XmlSchema>` | `generateSchema()`
`java.lang.String` | `getCustomSchemaLocation()`
`java.lang.String` | `getMappingFileLocation()`
`java.lang.reflect.Method[]` | `getMethods()`
`java.lang.String` | `getSchemaTargetNameSpace()`
`java.lang.String` | `getTargetNamespace()`
`TypeTable` | `getTypeTable()`
`void` | `setAttrFormDefault(java.lang.String attrFormDefault)`
`void` | `setAxisService(AxisService service)`
`void` | `setCustomSchemaLocation(java.lang.String customSchemaLocation)`
`void` | `setElementFormDefault(java.lang.String elementFormDefault)`
`void` | `setExcludeMethods(java.util.ArrayList<java.lang.String> excludeMethods)`
`void` | `setExtraClasses(java.util.ArrayList<java.lang.String> extraClasses)`
`void` | `setMappingFileLocation(java.lang.String mappingFileLocation)`
`void` | `setNonRpcMethods(java.util.ArrayList<java.lang.String> nonRpcMethods)`
`void` | `setNsGen(NamespaceGenerator nsGen)`
`void` | `setPkg2nsmap(java.util.Map<java.lang.String,java.lang.String> pkg2nsmap)`
`void` | `setUseWSDLTypesNamespace(boolean useWSDLTypesNamespace)`

Method Detail

### setNsGen

    void setNsGen(NamespaceGenerator nsGen)

### generateSchema

    java.util.Collection<org.apache.ws.commons.schema.XmlSchema> generateSchema()
                                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTypeTable

    TypeTable getTypeTable()

### getMethods

    java.lang.reflect.Method[] getMethods()

### setExcludeMethods

    void setExcludeMethods(java.util.ArrayList<java.lang.String> excludeMethods)

### getSchemaTargetNameSpace

    java.lang.String getSchemaTargetNameSpace()

### setAttrFormDefault

    void setAttrFormDefault(java.lang.String attrFormDefault)

### setElementFormDefault

    void setElementFormDefault(java.lang.String elementFormDefault)

### setExtraClasses

    void setExtraClasses(java.util.ArrayList<java.lang.String> extraClasses)

### setUseWSDLTypesNamespace

    void setUseWSDLTypesNamespace(boolean useWSDLTypesNamespace)

### setPkg2nsmap

    void setPkg2nsmap(java.util.Map<java.lang.String,java.lang.String> pkg2nsmap)

### getTargetNamespace

    java.lang.String getTargetNamespace()

### setNonRpcMethods

    void setNonRpcMethods(java.util.ArrayList<java.lang.String> nonRpcMethods)

### setAxisService

    void setAxisService(AxisService service)

### getCustomSchemaLocation

    java.lang.String getCustomSchemaLocation()

### setCustomSchemaLocation

    void setCustomSchemaLocation(java.lang.String customSchemaLocation)

### getMappingFileLocation

    java.lang.String getMappingFileLocation()

### setMappingFileLocation

    void setMappingFileLocation(java.lang.String mappingFileLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.